<template>
  <aqyTable v-if="isShowAqyTable" :type="aqrylxType" isHideExportBtn :exportLoading="exportLoading" :orgcode="listQuery.orgcode"
    :dict="{ D_BZ_PYYYLX, D_BZ_RCLX, D_BZ_AQRYWHCD, D_BZ_XB, D_BZ_AQRYZZMM, D_BZ_AQRYSCLY }"
    @close="isShowAqyTable = false" />
</template>

<script setup>
import { ref, getCurrentInstance, defineExpose } from "vue"
import aqyTable from "@/views/dutyBook/jgryandzz/commponents/aqyTable.vue"


const { proxy } = getCurrentInstance()
const isShowAqyTable = ref(false)
const aqrylxType = ref('')
const exportLoading = ref(false)
const listQuery = ref({
  orgcode: '',
})
const { D_BZ_PYYYLX, D_BZ_RCLX, D_BZ_AQRYWHCD, D_BZ_XB, D_BZ_AQRYZZMM, D_BZ_AQRYSCLY } = proxy.$dict("D_BZ_PYYYLX", "D_BZ_RCLX", "D_BZ_AQRYWHCD", "D_BZ_XB", "D_BZ_AQRYZZMM", "D_BZ_AQRYSCLY");
const open = obj => {
  const { orgcode, type } = obj
  console.log('type: ', type);

  aqrylxType.value = type
  listQuery.value.orgcode = orgcode
  isShowAqyTable.value = true
}
defineExpose({ open })

</script>

<style lang="scss" scoped></style>
